## Font embedding restrictions

Font embedding restrictions — fsType enum

## Functions

const gchar * | font_manager_fsType_to_string ()

## Types and Values

#define | FONT_MANAGER_TYPE_FSTYPE

## Object Hierarchy

        GEnum
        ╰── FontManagerfsType

## Includes

    #include <font-manager-fsType.h>

## Description

The main purpose of this enumeration is to provide a description of the fsType field of font files in a user friendly form.

## Functions

### font_manager_fsType_to_string ()

    const gchar *
    font_manager_fsType_to_string (gint fstype);

Returns a description of the fsType field suitable for display.

The least restrictive bit set is used. Embedding-aware applications may interpret the fsType field differently.

[skip]

#### Parameters

fstype | FontManagerfsType |

#### Returns

`fstype` as a string.

[transfer none][nullable]

## Types and Values

### FONT_MANAGER_TYPE_FSTYPE

    #define FONT_MANAGER_TYPE_FSTYPE (font_manager_fsType_get_type ())